export async function registerServiceWorker() {
  if (!('serviceWorker' in navigator)) {
    throw new Error('Ваш браузер не поддерживает Service Worker.')
  }

  // function requestDebugVersion() {
  //   navigator.serviceWorker?.controller?.postMessage({
  //     type: 'requestDebugVersion',
  //   })
  // }

  navigator.serviceWorker.addEventListener('controllerchange', () => {
    // console.log('Service Worker controller has changed.')
    // requestDebugVersion()
  })

  // try {
  const registration = await navigator.serviceWorker.register('/service-worker.js')
  //   console.log('Service Worker зарегистрирован:', registration)
  //
  //   requestDebugVersion()
  //
  //   window.addEventListener(
  //     'focus',
  //     () => {
  //       navigator.serviceWorker?.controller?.postMessage({
  //         type: 'focused',
  //       })
  //     },
  //     {},
  //   )

  return registration
  // } catch (error) {
  //   console.error('Ошибка регистрации Service Worker:', error)
  //   throw error
  // }
}
